Group: Graphical desktop/Other
%global short_name eGTK
%global full_name  elementary GTK

Name:       egtk
Version:    4.0.6
Release:    alt1_1
Summary:    The %{short_name} (%{full_name}) themes for GTK+2, GTK+3, Metacity and Xfwm4

License:    GPLv3+
URL:        https://launchpad.net/%{name}
Source0:    %{url}/4.x/%{version}/+download/elementary.tar.xz#/%{name}-%{version}.tar.gz
# with v3.2+/4.x upstream does not provide any xfwm4 files
Source1:    %{url}/3.x/3.1/+download/elementary.tar.gz#/%{name}-3.1.tar.gz

BuildArch:  noarch
Source44: import.info

%description
The official %{full_name} theme designed to be smooth, 
attractive, fast, and usable.


%package common
Group: Graphical desktop/Other
Summary:    Files common to %{short_name} themes

%description common
Files which are common to all %{short_name} (%full_name) themes.


%package gtk2-theme
Group: Graphical desktop/Other
Summary:    The %{short_name} theme for GTK+2
Requires:   %{name}-common = %{version}
Requires:   libgtk-engine-murrine

%description gtk2-theme
Theme for GTK+2 as part of the %{short_name} (%full_name) theme.


%package gtk3-theme
Group: Graphical desktop/Other
Summary:    The %{short_name} theme for GTK+3
Requires:   %{name}-common = %{version}
Requires:   libgtk-engine-unico

%description gtk3-theme
Theme for GTK+3 as part of the %{short_name} (%full_name) theme.


%package metacity-theme
Group: Graphical desktop/Other
Summary:    The %{short_name} theme for Metacity
Requires:   %{name}-common = %{version}
Requires:   metacity3.0

%description metacity-theme
Theme for Metacity as part of the %{short_name} (%full_name) theme.


%package xfwm4-theme
Group: Graphical desktop/Other
Version:    3.1
Epoch:      1
Summary:    The %{short_name} theme for Xfwm4 (legacy)
#Requires:   %{name}-common = %{version}-%{release}
Requires:   xfwm4

%description xfwm4-theme
Theme for Xfwm4 as part of the %{short_name} (%full_name) theme.


%prep
%setup -q -c
# Remove backup files
find . -name '*~' -type f -exec rm -f '{}' \;
# Remove Bazaar-related files
rm -rf .bzr
# Remove "index.theme"
rm -f index.theme
# patch xfwm4 files
mkdir legacy
tar -C legacy -xf %{SOURCE1}


%build
# Nothing to build


%install
for dir in gtk-2.0 gtk-3.0 metacity-1
do
    mkdir -p -m755 %{buildroot}%{_datadir}/themes/%{short_name}/$dir
    cp -pr ./*/$dir/* %{buildroot}%{_datadir}/themes/%{short_name}/$dir
done
# legacy stuff
mkdir -p -m755 %{buildroot}%{_datadir}/themes/%{short_name}/xfwm4
cp -pr legacy/*/xfwm4/* %{buildroot}%{_datadir}/themes/%{short_name}/xfwm4


%files common
%doc elementary/COPYING
%doc elementary/AUTHORS elementary/CONTRIBUTORS
%dir %{_datadir}/themes/%{short_name}/


%files gtk2-theme
%{_datadir}/themes/%{short_name}/gtk-2.0/


%files gtk3-theme
%{_datadir}/themes/%{short_name}/gtk-3.0/


%files metacity-theme
%{_datadir}/themes/%{short_name}/metacity-1/


%files xfwm4-theme
%doc legacy/elementary/COPYING
%doc legacy/elementary/AUTHORS legacy/elementary/CONTRIBUTORS
%dir %{_datadir}/themes/%{short_name}
%{_datadir}/themes/%{short_name}/xfwm4/


%changelog
* Tue May 31 2016 Igor Vlasenko <viy@altlinux.ru> 4.0.6-alt1_1
- converted for ALT Linux by srpmconvert tools

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 3.4-alt1_3
- update to new release by fcimport

* Wed Apr 08 2015 Igor Vlasenko <viy@altlinux.ru> 3.4-alt1_2
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 3.1-alt1_5
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 3.1-alt1_4
- update to new release by fcimport

* Thu Apr 25 2013 Igor Vlasenko <viy@altlinux.ru> 3.1-alt1_3
- initial fc import

